Nie moge zainstalowac Mp4joiner deb

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
chriso
Sędziwy Jeż
Sędziwy Jeż
Posty: 32
Rejestracja: 13 lis 2010, 14:10
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: LXDE
Architektura: x86_64

Nie moge zainstalowac Mp4joiner deb

Post autor: chriso » 25 gru 2018, 19:49

Witam.

Chcialem sobie zainstalowac na swoim Lubuntu 18.04 paczke deb Mp4joiner ale nie moge bo instaltor pakietow deb wywala blad ze nie moze byc spelniona zaleznosc.
Blad zaleznosci nie moze byc spelniona libwxsvg14(>=3:1.5.15)

https://pkgs.org/download/mp4joiner

Czy da sie cos z tym zrobic? Ten program zostala zaktualizowany po dwoch latach wiec nie powinno byc wiekszych problemow z instalacji paczki deb. Program jest ciekawy bo pozwala na laczenie pliko mp4 bez ponownej konwersji cos jak MKVToolnix.
Ogolnie wiekszosc paczek deb instaluje sie bez problemow.
arecki
Sędziwy Jeż
Sędziwy Jeż
Posty: 46
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: arecki » 25 gru 2018, 20:35

chriso
Sędziwy Jeż
Sędziwy Jeż
Posty: 32
Rejestracja: 13 lis 2010, 14:10
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: LXDE
Architektura: x86_64

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: chriso » 25 gru 2018, 22:52

Dzieki ale tez wywala blad tym razem libavcodec58(>=10:1.4.02).
Awatar użytkownika
kobrawerde
Wytworny Kaczor
Wytworny Kaczor
Posty: 354
Rejestracja: 10 wrz 2006, 16:00
Płeć: Mężczyzna
Wersja Ubuntu: 18.04
Środowisko graficzne: LXDE
Architektura: x86_64

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: kobrawerde » 25 gru 2018, 23:07

a tu https://www.deb-multimedia.org/dists/si ... /mp4joiner
na dole ściągasz plik w wersji .deb ... a brakujące zależności ( Depends ) też w ten sam sposób
arecki
Sędziwy Jeż
Sędziwy Jeż
Posty: 46
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: arecki » 26 gru 2018, 08:53

To chyba krew go zaleje, jak będzie musiał te wszystkie zależności dociągać :)
How-to instalacji jest na podlinkowanych stronach. RTFM.
Jednak trzeba używać z DUŻĄ rozwagą, bo to repozytorium dla Debiana.
Lepiej poszukać repozytorium ubuntowego: np. tu http://teknoraver.net/software/mp4tools/#ubuntu ale to pierwszy wynik z wyszukiwarki więc też trzeba myśleć co się robi. Aktualizacja: Te repozytorium raczej się nie nadaje.
Oczywiście można też ściągnąć źródła i skompilować.

Z innej beczki: łączyć pliki mp4 bez ponownej kompresji, potrafi pierwszy lepszy program do obróbki plików audio/video.
chriso
Sędziwy Jeż
Sędziwy Jeż
Posty: 32
Rejestracja: 13 lis 2010, 14:10
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: LXDE
Architektura: x86_64

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: chriso » 26 gru 2018, 11:28

Fakt krew moze zalac czlowieka. Udalo mi sie zainstalowac chyba z 15 zaleznosci ale zatrzymalem sie na libva2. Paczka libavcodec58 wymaga libva2 (>=2.2.0). Znalazlem nowsza wersje ''libva2_2.3.0-2_amd64.deb''

https://pkgs.org/download/libva2

Ale nie moge tego nawet zainstalowac. Synaptic nie pokazuje zadnego bledu ale przycisk ''zainstaluj pakiet'' jest nieaktywny.

Laczenie mp4 wiem ze mozna nawet w mkv merge ale jakos zawsze po polaczeniu np kilku plikow mam bledy w obrazie np szary obraz czy pikseloze.
Moze jest jeszcze jakis inny program z gui? Bo te sposoby na laczenie mp4 co znajduje sa glownie wykonywane w terminalu.
arecki
Sędziwy Jeż
Sędziwy Jeż
Posty: 46
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: arecki » 26 gru 2018, 12:12

np. avidemux, nie wspominając już o tak wielkim projekcie jak ffmpeg
Terminala nie należy się bać, bo oferuje możliwości, które ciężko znaleźć w interfejsach gui.
Jak tak patrzę na ten mp4joiner to widzę, że to jakaś nakładka graficzna na ffmpeg.

Jak będziesz tak się bawić z różnymi paczkami z innych "distro" to prędzej czy później "rozwalisz" sobie system.
chriso
Sędziwy Jeż
Sędziwy Jeż
Posty: 32
Rejestracja: 13 lis 2010, 14:10
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: LXDE
Architektura: x86_64

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: chriso » 26 gru 2018, 18:08

Dobra dzieki. Avidemux poradzil sobie dobrze z polaczeniem kilku plikow mp4. Troche dziwne ze jak ktos robi program na Linuxa dla Debianowych systemow to nie dba o to zeby nie trzeba bylo doinstalowywac wielu mniejszych plikow. To co program potrzebuje do dzialania powinno byc skompilowane w jednej paczce aby od razu dzialal zaraz po instalacji.

arecki -> Z paczek deb korzystam sporadycznie. Np doinstalowuje sobie taki program jak 4k video downloader lub alternatywne przegladarki jak Opera, czy Slimjet.
arecki
Sędziwy Jeż
Sędziwy Jeż
Posty: 46
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: arecki » 26 gru 2018, 19:23

To nie dziwne, taki był zamysł twórców dystrybucji aby nie ciągnąć wszystkich paczek za każdym razem, łatwo zauważyć, że to oszczędza łącza i miejsce na dysku.
Jak chcesz mieć kompletną aplikację bez doinstalowywania zależności to się zainteresuj flatpakiem, snapem czy appimage.
chriso
Sędziwy Jeż
Sędziwy Jeż
Posty: 32
Rejestracja: 13 lis 2010, 14:10
Płeć: Mężczyzna
Wersja Ubuntu: 17.10
Środowisko graficzne: LXDE
Architektura: x86_64

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: chriso » 27 gru 2018, 19:45

Jest jednak lepszy program od avidemux. To dmMediaConventer ktory wlasnie korzysta garsciami z ffmpeg. Problem w tym ze tez jest w paczce deb ale wszystkie zaleznosci sie zgadzaja. Inny problem jest tak,i ze jest rzadko aktualizowany i nawet nie wiadomo czy w przyszlsoci tez bedzie aktualizowany, wiec wczesniej czy pozniej pojawia klopoty z zaleznosciami kiedy beda wychodzic nowe wersje Ubuntu, jak nie bedzie nowych wersji.
Jak dla mnie to jeden z najlepszych, jak nie najlepszy program do konwertowania video jak i laczenia tych samych plikow w jedna calosc bez ponownej konwersji na Linux.
Widac ze mozna zrobic potezny program na Linux ktory wykorzystuje ffmpeg.
arecki
Sędziwy Jeż
Sędziwy Jeż
Posty: 46
Rejestracja: 17 lis 2018, 09:31
Płeć: Mężczyzna

Re: Nie moge zainstalowac Mp4joiner deb

Post autor: arecki » 28 gru 2018, 15:54

Sprawdź jeszcze HandBrake, z wyglądu dosyć podobny do tego Twojego, a standardowo dostępny w repozytoriach.
ODPOWIEDZ

Wróć do „Przedszkole Linuksa”